// Template filled in at build-time.
// Used to send to the component loader for new projects before they are build.

exports.__framer__ = {
    packageJson: {},
    dependencies: {
        framer: () => {
            const package = require("framer")
            package.__framer__ = {
                packageJson: {"devDependencies":{"@types/jest-diff":"^20.0.0","resize-observer-polyfill":"^1.5.1","ts-jest":"^23.10.5","@types/promise-queue":"^2.2.0","enzyme-adapter-react-16":"^1.9.1","jest-junit":"^5.2.0","@types/draft-js":"0.10.19","raf":"^3.4.0","react-testing-library":"^6.0.0","enzyme":"^3.9.0","@types/webfontloader":"^1.6.29","@types/jest-matcher-utils":"^21.0.1","hoist-non-react-statics":"^2.5.0","convert-tsconfig-paths-to-webpack-aliases":"^0.9.2","hsluv":"^0.0.3","eventemitter3":"^3.1.0","webfontloader":"^1.6.28","@types/react-dom":"^16.8","ts-loader":"^4.1.0","draft-js":"0.10.4","@types/hsluv":"https://github.com/framer/typed_hsluv#bump","css.escape":"^1.5.1","jest-dom":"^3.1.3","semver":"^5.6.0","webpack":"^4.4.1","modclean":"^3.0.0-beta.1","@types/node":"^10.12.9","promise-queue":"^2.2.5","chalk":"^2.4.1","watch":"^1.0.2","xcssmatrix":"^0.2.2","typescript":"^3.5.3","style-value-types":"^3.1.4","@types/google.fonts":"^1.0.2","immutable":"^3.8.2","jest":"^23.1.0","framer-motion":"^1.6.7","webpack-cli":"^3.1.2","tslint-react-hooks":"^1.1.0","react-dev-utils":"^5.0.1","tslint":"^5.12.1","cache-loader":"^1.2.2","@types/enzyme-adapter-react-16":"^1.0.3","@testing-library/react":"^8.0.1","react-hooks-testing-library":"^0.5.1","@types/jest":"^23.0.0","react":"^16.8","@types/react":"16.8.4","react-dom":"^16.8","@microsoft/api-extractor":"^7.3.4","jest-diff":"^23.6.0","progress-bar-webpack-plugin":"^1.11.0","@types/enzyme":"^3.1.10","@emotion/is-prop-valid":"^0.8.2","@types/chalk":"^2.2.0","webpack-dev-server":"^3.1.10","fork-ts-checker-webpack-plugin":"^0.4.1"},"peerDependencies":{"react-dom":"^16.8.2","react":"^16.8.2"},"name":"framer","author":"Framer","framer":{"components":[{"children":true,"name":"Scroll","properties":[{"title":"Direction","options":["horizontal","vertical","both"],"key":"direction","kind":"enum"}]},{"name":"Page"},{"name":"Stack"},{"name":"FramerAppleWatch38","type":"device"},{"name":"FramerAppleWatch42","type":"device"},{"name":"FramerSonySmartWatch","type":"device"},{"type":"device","name":"FramerAppleIPhoneSE"},{"type":"device","name":"FramerAppleIPhone8"},{"type":"device","name":"FramerAppleIPhone8Plus"},{"name":"FramerAppleIPhoneXS","type":"device"},{"type":"device","name":"FramerAppleIPhoneXR"},{"name":"FramerAppleIPhoneXSMax","type":"device"},{"type":"device","name":"FramerGooglePixel2"},{"type":"device","name":"FramerGooglePixel2XL"},{"name":"FramerGooglePixel3","type":"device"},{"name":"FramerGooglePixel3XL","type":"device"},{"type":"device","name":"FramerSamsungNote5"},{"type":"device","name":"FramerSamsungGalaxyS9"},{"type":"device","name":"FramerAppleIPadAir"},{"name":"FramerAppleIPadMini","type":"device"},{"type":"device","name":"FramerAppleIPadPro"},{"name":"FramerGoogleNexusTablet","type":"device"},{"type":"device","name":"FramerMicrosoftSurfacePro3"},{"type":"device","name":"FramerMicrosoftSurfacePro4"},{"name":"FramerAppleIMac","type":"device"},{"name":"FramerAppleThunderboltDisplay","type":"device"},{"name":"FramerAppleMacBook","type":"device"},{"type":"device","name":"FramerAppleMacBookAir"},{"type":"device","name":"FramerAppleMacBookPro"},{"name":"FramerDellXPS","type":"device"},{"name":"FramerMicrosoftSurfaceBook","type":"device"},{"name":"FramerSonyW850C","type":"device"},{"type":"device","name":"FramerStoreArtwork"},{"name":"FramerStoreIcon","type":"device"}]},"license":"MIT","version":"1.1.6","tsdoc":{"tsdocFlavor":"AEDoc"},"scripts":{"coverage":"jest --coverage","watch":"jest --watch","test":"jest"},"main":"build/framer.js"},
            }
            return package
        },
    },
}
